document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Dynamic header shadow
  const header = document.querySelector('header');
  if(header) {
    window.addEventListener('scroll', () => {
      if(window.scrollY > 50) {
        header.style.boxShadow = '0 2px 10px rgba(0,0,0,0.1)';
      } else {
        header.style.boxShadow = 'none';
      }
    });
  }

  // Article hover effects
  const articles = document.querySelectorAll('article');
  articles.forEach(article => {
    article.style.transition = 'transform 0.3s ease';
    article.addEventListener('mouseenter', () => {
      article.style.transform = 'translateY(-5px)';
    });
    article.addEventListener('mouseleave', () => {
      article.style.transform = 'translateY(0)';
    });
  });
});